Page MenuHomePhabricator

Adapt elasticsearch puppet module for elasticsearch6
Closed, ResolvedPublic

Description

Problems encountered when setting-up ES6 on deployment-prep:

  • install elasticsearch-oss not elasticsearch
  • /etc/default/elasticsearch is required when installing the package because /usr/share/elasticsearch/bin/elasticsearch-env will source it
  • Environment=ES_PATH_CONF=/etc/elasticsearch/%i must be added to the system unit
  • ExecStartPre=/usr/share/elasticsearch/bin/elasticsearch-systemd-pre-exec must be removed from the unit file
  • /etc/default/elasticsearch must be emptied after package installation because /usr/share/elasticsearch/bin/elasticsearch-env will source it and overrides ES_CONF_PATH to /etc/elasticsearch
  • /etc/elasticsearch/$cluster/log4j.properties ${sys:es.logs} must be changed to ${sys:es.logs.base_path}${sys:file.separator}${sys:es.logs.cluster_name}
  • /etc/elasticsearch/$cluster must be writable by elasticsearch
  • remove -Epath.conf=/etc/elasticsearch/%i from /usr/share/elasticsearch/bin/elasticsearch options in the unit file
  • Bump LimitNPROC=4096 in systemd unit

Event Timeline

dcausse created this task.Feb 26 2019, 8:47 PM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptFeb 26 2019, 8:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
dcausse updated the task description. (Show Details)Feb 26 2019, 9:08 PM
dcausse updated the task description. (Show Details)Feb 26 2019, 10:28 PM

Change 493234 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/puppet@production] [WIP] Add support for elasticsearch 6

https://gerrit.wikimedia.org/r/493234

debt triaged this task as Medium priority.Feb 28 2019, 6:39 PM
debt moved this task from Incoming to Needs review on the Discovery-Search (Current work) board.

Change 493234 merged by Gehel:
[operations/puppet@production] Add support for elasticsearch 6

https://gerrit.wikimedia.org/r/493234

debt closed this task as Resolved.Mar 14 2019, 9:15 PM
debt claimed this task.